package com.zcloud.service.scheduling.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.scheduling.ShiftWorkPeriodMapper;
import com.zcloud.service.scheduling.ShiftWorkPeriodService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：倒班规则周期
 * 作者：luoxiaobao
 * 时间：2021-12-07
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ShiftWorkPeriodServiceImpl implements ShiftWorkPeriodService {

	@Autowired
	private ShiftWorkPeriodMapper shiftworkperiodMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		shiftworkperiodMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		shiftworkperiodMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		shiftworkperiodMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return shiftworkperiodMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return shiftworkperiodMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return shiftworkperiodMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		shiftworkperiodMapper.deleteAll(ArrayDATA_IDS);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByRules(PageData pd)throws Exception{
		shiftworkperiodMapper.deleteByRules(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByUpRules(PageData pd)throws Exception{
		shiftworkperiodMapper.deleteByUpRules(pd);
	}

}

